import 'package:flutter/material.dart';
import 'package:uplanit_calendar/src/timeline.dart';

List<Timeline> timelines = [
  Timeline(time: '1 AM', isSelected: true),
  Timeline(time: '2 AM', isSelected: false),
  Timeline(time: '3 AM', isSelected: true),
  Timeline(time: '4 AM', isSelected: false),
  Timeline(time: '5 AM', isSelected: false),
  Timeline(time: '6 AM', isSelected: false),
  Timeline(time: '7 AM', isSelected: false),
  Timeline(time: '8 AM', isSelected: true),
  Timeline(time: '9 AM', isSelected: false),
  Timeline(time: '10 AM', isSelected: false),
  Timeline(time: '11 AM', isSelected: true),
  Timeline(time: '1 PM', isSelected: true),
  Timeline(time: '2 PM', isSelected: false),
  Timeline(time: '3 PM', isSelected: false),
];

class UplanitTimelineView extends StatefulWidget {
  final List<Timeline> timelines;
  UplanitTimelineView({
    Key key,
    this.timelines,
  }) : super(key: key);

  @override
  _UplanitTimelineViewState createState() => _UplanitTimelineViewState();
}

class _UplanitTimelineViewState extends State<UplanitTimelineView> {
  List<dynamic> times = [];
  bool selected = false;

  @override
  void initState() {
    
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 400,
      decoration: BoxDecoration(
        border: Border.all(
          color: Colors.grey,
          width: 1,
        ),
      ),
      child: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.all(8),
          child: Column(
            children: timelines
                .map((timeline) => Row(
                      children: [
                        Padding(
                          padding: const EdgeInsets.all(12),
                          child: Text('${timeline.time}'),
                        ),
                        Expanded(
                          child: InkWell(
                            onTap: () {
                              setState(() {
                                timeline.isSelected = !timeline.isSelected;
                              });
                            },
                            child: Container(
                                padding: const EdgeInsets.all(16),
                                margin: const EdgeInsets.only(bottom: 4),
                                decoration: BoxDecoration(
                                  color: timeline.isSelected ? Colors.green : Colors.transparent,
                                  border: Border.all(
                                    width: 1,
                                    color: Colors.grey.shade100,
                                  ),
                                ),
                                child: Divider(
                                  color: Colors.black,
                                  thickness: 4,
                                )),
                          ),
                        ),
                      ],
                    ))
                .toList(),
          ),
        ),
      ),
    );
  }
}
